Bio::DB::GFF::Util::Rearrange(3pm)

NAME
Bio::DB::GFF::Util::Rearrange - rearrange utility

SYNOPSIS
 use Bio::DB::GFF::Util::Rearrange 'rearrange';

 my ($arg1,$arg2,$arg3,$others) = rearrange(['ARG1','ARG2','ARG3'],@args);

DESCRIPTION
This is a different version of the _rearrange() method from Bio::Root::Root. It runs as a function call, rather than as a method call, and it handles unidentified parameters slightly differently.

It exports a single function call:

@rearranged_args = rearrange(\@parameter_names,@parameters);
    The first argument is an array reference containing list of parameter names in the desired order. The second and subsequent arguments are a list of parameters in the format:

      (-arg1=>$arg1,-arg2=>$arg2,-arg3=>$arg3...)

    The function calls returns the parameter values in the order in which they were specified in @parameter_names. Any parameters that were not found in @parameter_names are returned in the form of a hash reference in which the keys are the uppercased forms of the parameter names, and the values are the parameter values.

BUGS
None known yet.

SEE ALSO
Bio::DB::GFF,

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.